package top.ninwoo.dbc.client.configure;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@Configuration
public class StaticResourceConfiguration extends WebMvcConfigurerAdapter {
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        registry.addResourceHandler("/file/**").addResourceLocations("file:/tmp/static/");
        //registry.addResourceHandler("/file/**").addResourceLocations("file:/F:/resources/static/");
        super.addResourceHandlers(registry);
    }
}
