package top.ninwoo.weixingsim.dynamicNet;

import top.ninwoo.weixingsim.sateTopology.entity.SimData;
import top.ninwoo.weixingsim.sateTopology.entity.WeiXingData;
import top.ninwoo.weixingsim.sateTopology.service.impl.ToponetImpl;
import top.ninwoo.weixingsim.sateTopology.service.impl.WeixingImpl;

import java.io.File;
import java.util.*;

public class CycleTopoUnit {
    public static void main(String[] args) throws IllegalAccessException{
        cycleTp();
    }

    public static HashMap<Integer, int[][]> cycleTp() {
        //从文本中获取卫星的数据
        WeixingImpl wx = new WeixingImpl();
        ToponetImpl tp = new ToponetImpl();
        SimData sd = new SimData();
        //tp.delHistory();
        File file = new File("F:\\ymwang\\topusim_1.txt");
        List<WeiXingData> wxData = null;
        try {
            wxData = wx.iniTopo(file,sd.getZhouqi());
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }

        sd.setJiange(60);
        sd.setC0(3e10);

        //存储全周期拓扑
        HashMap<Integer, int[][]> TopoStore = new HashMap<>();

        out:for (int i = 0; i<sd.getZhouqi()/sd.getJiange(); i++) {
            //Thread.sleep(2000);
            int time = i * sd.getJiange();
            List<WeiXingData> changetp = wx.changeTopo(wxData,time);

            int[][] topoChange = tp.getTopology(changetp,sd);

            TopoStore.put(i,topoChange);
        }

        /*
         * 对比全周期拓扑
         * count记录重复拓扑行数
         * count2记录不同拓扑数目
         * */
        int count = 0;
        int count2 = 0;
        Iterator<Map.Entry<Integer, int[][]>> iterator = TopoStore.entrySet().iterator();
        while (iterator.hasNext()){
            int[][] value = iterator.next().getValue();
/*            System.out.println(Arrays.deepToString(value));
            System.out.println("=========================================");
            System.out.println(count2);*/
            while (iterator.hasNext()){
                int[][] valueNext = iterator.next().getValue();
                for (int i = 0;i<value.length;i++){
                    boolean equals = Arrays.equals(value[i], valueNext[i]);
                    count += (equals?1:0);
                }

                if (count != 30){
/*                    System.out.println(Arrays.deepToString(valueNext));
                    System.out.println("=========================================");
                    System.out.println(count2);*/
                    count2++;
                }
                count=0;
                value=valueNext;
            }
        }

        return TopoStore;
    }
}
