package top.ninwoo.app.dfs.client.controller;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import top.ninwoo.app.dfs.client.service.FileService;
import top.ninwoo.commonapi.po.FileSlice;


@RestController
public class TestController {

    @Autowired
    private FileService fileService;

    @RequestMapping("/hello")
    @ResponseBody
    public String hello(){
        return "hello,SpringBoot";
    }

    @GetMapping("test1")
    public String sendData(String name) {
        FileSlice fileSlice = new FileSlice();
        fileSlice.setFileBytes(name.getBytes());
        fileSlice.setFileId(1111L);
        fileSlice.setSize(name.getBytes().length);
        fileSlice.setStart(0L);
        /*String result = fileService.sendFileSlice("127.0.0.1:8080", fileSlice);*/
        String result = fileService.sendFileSlice("172.17.3", fileSlice);
        return result;
    }

 /*   @GetMapping("sendFile")
    public String sendFile(String name, Long fileId) {
        byte[] bytes = fileService.readFile(name);
        return fileService.sendFile(fileId, bytes);
    }*/

    @GetMapping("getFile")
    public String getFile(String name, Long fileId) {
        return fileService.getFile(name, fileId);
    }
}
